package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmstrainArrivalSend;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface RmstrainArrivalSendMapper extends IBaseMapper<RmstrainArrivalSend, BigDecimal> {
    //创建序列号
     @Select("select seq_RMSTRAIN_ARRIVAL_SEND.nextval from dual")
     BigDecimal getMaxId();

     //根据到站名称查找是否存在改到站
    BigDecimal getSendStation(String stationName);
}